---
stage: none
group: unassigned
description: Administer GitLab users.
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

# Administer users

DETAILS:
**Tier:** Free, Premium, Ultimate
**Offering:** GitLab Self-Managed

Administer and manage users in GitLab Self-Managed.

## User accounts

- [Create users](../user/profile/account/create_accounts.md)
- [Reset user passwords](../security/reset_user_password.md)
- [Locked user accounts](../security/unlock_user.md)
- [User file uploads](../security/user_file_uploads.md)
- [Delete users](../user/profile/account/delete_account.md)
- [Configure the Libravatar service](../administration/libravatar.md)

## User types

- [Auditor users](../administration/auditor_users.md)
- [External users](../administration/external_users.md)
- [Guest users](../administration/guest_users.md)
- [Internal users](../administration/internal_users.md)

## User management

- [Modify global user settings](../administration/user_settings.md)
- [Moderate users](../administration/moderate_users.md)
- [Review abuse reports](../administration/review_abuse_reports.md)
- [Review spam logs](../administration/review_spam_logs.md)
- [User cohorts](../administration/user_cohorts.md)
- [Broadcast messages](../administration/broadcast_messages.md)
- [Email from GitLab](../administration/email_from_gitlab.md)
- [User management Rake tasks](../raketasks/user_management.md)

## Security and authentication

- [Password storage](../security/password_storage.md)
- [Credentials inventory](../administration/credentials_inventory.md)
- [Custom password length limits](../security/password_length_limits.md)
- [Generated passwords and integrated authentication](../security/passwords_for_integrated_authentication_methods.md)
