---
stage: Systems
group: Distribution
info: "To determine the technical writer assigned to the Stage/Group associated with this page, see https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments"
description: 'Learn how to install, configure, update, and maintain your GitLab instance.'
---

# Administer GitLab

Learn how to administer GitLab Self-Managed.

| | | |
|--|--|--|
| [**Get started**](../administration/get_started.md)<br>Administration overview. | [**All feature flags**](../user/feature_flags.md)<br>Complete list of flags. | [**Authentication and authorization**](../administration/auth/index.md)<br>Third-party authentication providers. |
| [**Configure GitLab**](../administration/configure.md)<br>Configuration settings. | [**Update your Admin area settings**](../administration/settings/index.md)<br>Product settings. | [**Maintain GitLab**](../administration/operations/index.md)<br>Backup and restore, move repositories, maintenance tasks. |
| [**Monitor GitLab**](../administration/monitoring/index.md)<br>Performance, health, uptime monitoring. | [**Secure GitLab**](../security/index.md)<br>SSH key limits, 2FA, tokens, hardening. | [**Administer users**](../administration/administer_users.md)<br>User accounts, user management. |
| [**GitLab Dedicated**](../administration/dedicated/index.md)<br>Get started with GitLab Dedicated. | | |

Only GitLab team members have access to administration tools and settings on GitLab.com.
