# frozen_string_literal: true

class AddFirstAndLatestPipelineIdToVulnerabilityOccurrences < Gitlab::Database::Migration[2.2]
  milestone '16.10'
  enable_lock_retries!

  def change
    # rubocop:disable Migration/PreventAddingColumns -- Legacy migration
    add_column :vulnerability_occurrences, :initial_pipeline_id, :bigint, null: true
    # rubocop:enable Migration/PreventAddingColumns
    # rubocop:disable Migration/PreventAddingColumns -- Legacy migration
    add_column :vulnerability_occurrences, :latest_pipeline_id, :bigint, null: true
    # rubocop:enable Migration/PreventAddingColumns
  end
end
