# frozen_string_literal: true

class FinalizeBackfillVulnerabilityFindingSignaturesProjectId < Gitlab::Database::Migration[2.2]
  milestone '17.8'

  disable_ddl_transaction!

  restrict_gitlab_migration gitlab_schema: :gitlab_main_cell

  def up
    ensure_batched_background_migration_is_finished(
      job_class_name: 'BackfillVulnerabilityFindingSignaturesProjectId',
      table_name: :vulnerability_finding_signatures,
      column_name: :id,
      job_arguments: [:project_id, :vulnerability_occurrences, :project_id, :finding_id],
      finalize: true
    )
  end

  def down; end
end
